aagc.vo

## Class AssistibileGetAssistibili

- java.lang.Object
- - aagc.vo.AssistibileGetAssistibili

-     public class AssistibileGetAssistibili
      extends java.lang.Object

  Posizione anagrafica di un assistibile presente nell'anagrafe sanitaria della Regione Puglia.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) java.lang.String` | `codFiscale` Codice fiscale dell'assistito, elemento obbligatorio.
    `(package private) java.lang.String` | `codISTATCittadinanza` Codice che identifica la cittadinanza di un assistito, elemento facoltativo.
    `(package private) java.lang.String` | `codIstatComuneDomicilio` Codice ISTAT del comune di domicilio dell'assistito, elemento facoltativo.
    `(package private) java.lang.String` | `codIstatComuneNascita` Codice ISTAT del comune di nascita dell'assistito, elemento facoltativo.
    `(package private) java.lang.String` | `codIstatComuneResidenza` Codice ISTAT del comune di residenza dell'assistito, elemento facoltativo.
    `(package private) java.lang.String` | `codNazionaleUslIscrizioneAttiva` Codice nazionale della ASL di iscrizione dell'assistito, elemento facoltativo.
    `(package private) java.lang.String` | `codSanitario` Codice sanitario dell'assistito, elemento facoltativo.
    `(package private) java.lang.String` | `cognome` Cognome dell'assistito, elemento obbligatorio.
    `(package private) java.lang.String` | `comuneDomicilio` Denominazione del comune di domicilio dell'assistito, elemento facoltativo.
    `(package private) java.lang.String` | `comuneNascita` Denominazione del comune di nascita dell'assistito, elemento facoltativo.
    `(package private) java.lang.String` | `comuneResidenza` Denominazione del comune di residenza dell'assistito, elemento facoltativo.
    `(package private) java.lang.String` | `dataNascita` Data di nascita dell'assistito, elemento facoltativo.
    `(package private) java.lang.String` | `descCittadinanza` Cittadinanza dell'assistito, elemento facoltativo.
    `(package private) java.lang.String` | `indDomicilio` Indirizzo di domicilio dell'assistito, elemento facoltativo.
    `(package private) java.lang.String` | `indResidenza` Indirizzo di residenza dell'assistito, elemento facoltativo.
    `(package private) java.lang.String` | `nome` Nome dell'assistito, elemento obbligatorio.
    `(package private) java.lang.String` | `nuovoCodFiscale` Codice fiscale che sostituisce la vecchia posizione anagrafica dell'assistito in caso di variazione del codice fiscale, elemento facoltativo.
    `(package private) java.lang.String` | `sesso` Sesso dell'assistito, elemento facoltativo.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AssistibileGetAssistibili()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getCodFiscale()`
    `java.lang.String` | `getCodISTATCittadinanza()`
    `java.lang.String` | `getCodIstatComuneDomicilio()`
    `java.lang.String` | `getCodIstatComuneNascita()`
    `java.lang.String` | `getCodIstatComuneResidenza()`
    `java.lang.String` | `getCodNazionaleUslIscrizioneAttiva()`
    `java.lang.String` | `getCodSanitario()`
    `java.lang.String` | `getCognome()`
    `java.lang.String` | `getComuneDomicilio()`
    `java.lang.String` | `getComuneNascita()`
    `java.lang.String` | `getComuneResidenza()`
    `java.lang.String` | `getDataNascita()`
    `java.lang.String` | `getDescCittadinanza()`
    `java.lang.String` | `getIndDomicilio()`
    `java.lang.String` | `getIndResidenza()`
    `java.lang.String` | `getNome()`
    `java.lang.String` | `getNuovoCodFiscale()`
    `java.lang.String` | `getSesso()`
    `void` | `setCodFiscale(java.lang.String codFiscale)`
    `void` | `setCodISTATCittadinanza(java.lang.String codISTATCittadinanza)`
    `void` | `setCodIstatComuneDomicilio(java.lang.String codIstatComuneDomicilio)`
    `void` | `setCodIstatComuneNascita(java.lang.String codIstatComuneNascita)`
    `void` | `setCodIstatComuneResidenza(java.lang.String codIstatComuneResidenza)`
    `void` | `setCodNazionaleUslIscrizioneAttiva(java.lang.String codNazionaleUslIscrizioneAttiva)`
    `void` | `setCodSanitario(java.lang.String codSanitario)`
    `void` | `setCognome(java.lang.String cognome)`
    `void` | `setComuneDomicilio(java.lang.String comuneDomicilio)`
    `void` | `setComuneNascita(java.lang.String comuneNascita)`
    `void` | `setComuneResidenza(java.lang.String comuneResidenza)`
    `void` | `setDataNascita(java.lang.String dataNascita)`
    `void` | `setDescCittadinanza(java.lang.String descCittadinanza)`
    `void` | `setIndDomicilio(java.lang.String indDomicilio)`
    `void` | `setIndResidenza(java.lang.String indResidenza)`
    `void` | `setNome(java.lang.String nome)`
    `void` | `setNuovoCodFiscale(java.lang.String nuovoCodFiscale)`
    `void` | `setSesso(java.lang.String sesso)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### nome

          java.lang.String nome

      Nome dell'assistito, elemento obbligatorio.

    - #### cognome

          java.lang.String cognome

      Cognome dell'assistito, elemento obbligatorio.

    - #### codFiscale

          java.lang.String codFiscale

      Codice fiscale dell'assistito, elemento obbligatorio.

    - #### nuovoCodFiscale

          java.lang.String nuovoCodFiscale

      Codice fiscale che sostituisce la vecchia posizione anagrafica dell'assistito in caso di variazione del codice fiscale, elemento facoltativo.

    - #### codSanitario

          java.lang.String codSanitario

      Codice sanitario dell'assistito, elemento facoltativo.

    - #### sesso

          java.lang.String sesso

      Sesso dell'assistito, elemento facoltativo. I possibili valori sono 'M' (Maschio) o 'F' (Donna).

    - #### dataNascita

          java.lang.String dataNascita

      Data di nascita dell'assistito, elemento facoltativo.

    - #### indResidenza

          java.lang.String indResidenza

      Indirizzo di residenza dell'assistito, elemento facoltativo.

    - #### indDomicilio

          java.lang.String indDomicilio

      Indirizzo di domicilio dell'assistito, elemento facoltativo.

    - #### comuneNascita

          java.lang.String comuneNascita

      Denominazione del comune di nascita dell'assistito, elemento facoltativo.

    - #### comuneResidenza

          java.lang.String comuneResidenza

      Denominazione del comune di residenza dell'assistito, elemento facoltativo.

    - #### comuneDomicilio

          java.lang.String comuneDomicilio

      Denominazione del comune di domicilio dell'assistito, elemento facoltativo.

    - #### codIstatComuneDomicilio

          java.lang.String codIstatComuneDomicilio

      Codice ISTAT del comune di domicilio dell'assistito, elemento facoltativo.

    - #### codIstatComuneResidenza

          java.lang.String codIstatComuneResidenza

      Codice ISTAT del comune di residenza dell'assistito, elemento facoltativo.

    - #### codIstatComuneNascita

          java.lang.String codIstatComuneNascita

      Codice ISTAT del comune di nascita dell'assistito, elemento facoltativo.

    - #### codNazionaleUslIscrizioneAttiva

          java.lang.String codNazionaleUslIscrizioneAttiva

      Codice nazionale della ASL di iscrizione dell'assistito, elemento facoltativo.

    - #### codISTATCittadinanza

          java.lang.String codISTATCittadinanza

      Codice che identifica la cittadinanza di un assistito, elemento facoltativo.

    - #### descCittadinanza

          java.lang.String descCittadinanza

      Cittadinanza dell'assistito, elemento facoltativo.

  - ### Constructor Detail

    - #### AssistibileGetAssistibili

          public AssistibileGetAssistibili()

  - ### Method Detail

    - #### getCodFiscale

          public java.lang.String getCodFiscale()

    - #### setCodFiscale

          public void setCodFiscale(java.lang.String codFiscale)

    - #### getCodISTATCittadinanza

          public java.lang.String getCodISTATCittadinanza()

    - #### setCodISTATCittadinanza

          public void setCodISTATCittadinanza(java.lang.String codISTATCittadinanza)

    - #### getCodIstatComuneDomicilio

          public java.lang.String getCodIstatComuneDomicilio()

    - #### setCodIstatComuneDomicilio

          public void setCodIstatComuneDomicilio(java.lang.String codIstatComuneDomicilio)

    - #### getCodIstatComuneNascita

          public java.lang.String getCodIstatComuneNascita()

    - #### setCodIstatComuneNascita

          public void setCodIstatComuneNascita(java.lang.String codIstatComuneNascita)

    - #### getCodIstatComuneResidenza

          public java.lang.String getCodIstatComuneResidenza()

    - #### setCodIstatComuneResidenza

          public void setCodIstatComuneResidenza(java.lang.String codIstatComuneResidenza)

    - #### getCodNazionaleUslIscrizioneAttiva

          public java.lang.String getCodNazionaleUslIscrizioneAttiva()

    - #### setCodNazionaleUslIscrizioneAttiva

          public void setCodNazionaleUslIscrizioneAttiva(java.lang.String codNazionaleUslIscrizioneAttiva)

    - #### getCodSanitario

          public java.lang.String getCodSanitario()

    - #### setCodSanitario

          public void setCodSanitario(java.lang.String codSanitario)

    - #### getCognome

          public java.lang.String getCognome()

    - #### setCognome

          public void setCognome(java.lang.String cognome)

    - #### getComuneDomicilio

          public java.lang.String getComuneDomicilio()

    - #### setComuneDomicilio

          public void setComuneDomicilio(java.lang.String comuneDomicilio)

    - #### getComuneNascita

          public java.lang.String getComuneNascita()

    - #### setComuneNascita

          public void setComuneNascita(java.lang.String comuneNascita)

    - #### getComuneResidenza

          public java.lang.String getComuneResidenza()

    - #### setComuneResidenza

          public void setComuneResidenza(java.lang.String comuneResidenza)

    - #### getDataNascita

          public java.lang.String getDataNascita()

    - #### setDataNascita

          public void setDataNascita(java.lang.String dataNascita)

    - #### getDescCittadinanza

          public java.lang.String getDescCittadinanza()

    - #### setDescCittadinanza

          public void setDescCittadinanza(java.lang.String descCittadinanza)

    - #### getIndDomicilio

          public java.lang.String getIndDomicilio()

    - #### setIndDomicilio

          public void setIndDomicilio(java.lang.String indDomicilio)

    - #### getIndResidenza

          public java.lang.String getIndResidenza()

    - #### setIndResidenza

          public void setIndResidenza(java.lang.String indResidenza)

    - #### getNome

          public java.lang.String getNome()

    - #### setNome

          public void setNome(java.lang.String nome)

    - #### getSesso

          public java.lang.String getSesso()

    - #### setSesso

          public void setSesso(java.lang.String sesso)

    - #### getNuovoCodFiscale

          public java.lang.String getNuovoCodFiscale()

    - #### setNuovoCodFiscale

          public void setNuovoCodFiscale(java.lang.String nuovoCodFiscale)